# Client disabled

Sent when an onboarded client can no longer use Client Trade API operations. Do not create new Client Trade API resources for the client until it is activated again.

Product: Client Trade API
Event reference version: 0.2.0 (current)
OpenAPI contract: https://docs.axiym.io/openapi/trade-api/events/0.2.0.yaml
Canonical page: https://docs.axiym.io/trade-api/events/0.2.0/client/onClientDisabled

[Complete reference with related definitions](/trade-api/events/0.2.0/client/onClientDisabled.full.md)

## POST /webhooks/client.disabled

## Authentication

```json
{
  "security": [],
  "securitySchemes": {}
}
```

## Parameters

### header: X-Signature

```json
{
  "name": "X-Signature",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string"
  },
  "description": "Ed25519 signature of the raw request body."
}
```

### header: X-Key-Id

```json
{
  "name": "X-Key-Id",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string",
    "format": "uuid"
  },
  "description": "Identifier of the public key used to sign the delivery."
}
```

### header: X-Algorithm

```json
{
  "name": "X-Algorithm",
  "in": "header",
  "required": true,
  "schema": {
    "type": "string",
    "const": "Ed25519"
  },
  "description": "Signature algorithm used for the delivery."
}
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "id",
          "timestamp",
          "type",
          "data"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "Event ID. Use this for de-duplication."
          },
          "timestamp": {
            "type": "string",
            "format": "date-time",
            "description": "Event timestamp. Formatted in ISO 8601."
          },
          "type": {
            "type": "string",
            "const": "client.disabled"
          },
          "data": {
            "$ref": "#/components/schemas/ClientStatusEventData"
          }
        }
      }
    }
  }
}
```

## Responses

### 200

```json
{
  "description": "Acknowledged by your endpoint."
}
```

## Operation metadata

```json
{
  "tags": [
    "Client"
  ],
  "operationId": "onClientDisabled"
}
```

## Referenced schemas

Fetch the relevant schema to inspect its fields, constraints and related types.

- [`#/components/schemas/ClientStatusEventData`](/trade-api/events/0.2.0/schemas/ClientStatusEventData.md)
